If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

IMAP -- need to consider using \Seen flag vs \Recent flag for MDN

RESOLVED WORKSFORME

Status

MailNews Core
Backend
P3
normal
RESOLVED WORKSFORME
18 years ago
9 years ago

People

(Reporter: jefft, Assigned: Bienvenu)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
Subject:
        Re: MORE: \Recent
   Date:
        Wed, 3 Nov 1999 10:32:44 -0500
   From:
        Wei-Lee_Jamrog@iris.com
     To:
        jefft@netscape.com (Jeff Tsai)




Yes, it is very helpful.  Thanks for the info.

Well, this is my last try to convince you to use \Seen instead of \Recent
flag .  As you can see in my scenario 1), I can easily have a situation
that the MDN never get send.  I understand that user can change \Seen
flag.  But if user makes a conscious decision to mark msg unread again,
technically the message has not been read before.  The read receipt should
be send again.  I think sending MDN more than once is better than not
sending one.  At least user makes the choice and they can understand the
consequence.  When the client don't send MDN and user don't know about it
I think that is a problem.  Please reconsider our point of view.

Thanks
Wei-Lee





jefft@netscape.com (Jeff Tsai)
11/03/99 10:04 AM


        To:     Wei-Lee_Jamrog@iris.com
        cc:
        Subject:        Re: MORE: \Recent


Okay, now I can explan how it happened. The first time you logon to a
machine
from our client, the message headers gets downloaded to the machine. Upon
seeing a DNT header, if the server supports the  $MDNSent flag the client
check for \Seen and $MDNSent flag if not \Seen and $MDNSent not set the
client
marks the  MDN needed flag to the local message database indicating that
the
message requires a MDN. If the server does *not* support $MDNSent flag the
client checks for the \Recent flag and then mark the MDN needed flag to
the
local message database. When display the message, the client check for the
local message database MDN needed flag to decide whether it needs to
prompt
the user for sending the MDN. Hope this helps.

-- Jeff

Wei-Lee_Jamrog@iris.com wrote:

> OK, this is what happen.
> Scenario 1)  logon to machine A but don't read the new message.  I
logout.
>  Then I logon to machine B and read the message.  The MDN prompt NEVER
> comes up.
> Scenario 2) logon to machine A but don't read the new message.  I logout
> then login again.  When I read the message, I got prompt.
>
> Somehow you are check something more than just the \Recent flag...
>
> Wei-Lee
>
> jefft@netscape.com (Jeff Tsai)
> 11/02/99 05:26 PM
>
>
>         To:     Wei-Lee_Jamrog@iris.com
>         cc:
>         Subject:        Re: MORE: \Recent
>
> What happen if you download the message from a second machine and
display
> the
> message? Do get prompted for another MDN request?
>
> -- Jeff
>
> Wei-Lee_Jamrog@iris.com wrote:
>
> > I just tried Netscape server 3.01 that doesn't support
keyword/$MDNSent.
> I
> > do the same test that I make sure \Recent flag is not set in the new
> > message.  But somehow your client still know when to pop up the dialog
> > box.  Why?
> >
> > In the log, UID 566 is the new msg.
> >
> > Wei-Lee
> >
> >
------------------------------------------------------------------------
> >                  Name: imapns.txt
> >    imapns.txt    Type: Plain Text (text/plain)
> >              Encoding: base64

Updated

18 years ago
OS: Windows NT → All
QA Contact: lchiang → huang
Hardware: PC → All
Summary: IMAP -- need to consider using \Seen flag vs \Recent flag for MDN → IMAP -- need to consider using \Seen flag vs \Recent flag for MDN
(Reporter)

Updated

18 years ago
Status: NEW → ASSIGNED
Target Milestone: M15
(Reporter)

Comment 1

18 years ago
A pref indicating what flag to use should be the way to go.

Comment 2

18 years ago
Mass moving to M16 to get these off the M15 radar.  Please let me know if this
is really an M15 stopper.
Target Milestone: M15 → M16

Comment 3

18 years ago
Not beta2 stopper, marking M18.  Please add beta2 keyword if you disagree.
Target Milestone: M16 → M18

Comment 4

17 years ago
MDN is out, so this is getting marked future.
Target Milestone: M18 → Future

Comment 5

17 years ago
reassigning jefft's bugs to naving
Assignee: jefft → naving
Status: ASSIGNED → NEW
(Assignee)

Comment 6

17 years ago
unless we decide to do MDN in 6.x, we don't have to do anything about this bug.

Comment 7

16 years ago
over to bienvenu who I think will be doing MDN. 
Assignee: naving → bienvenu

Comment 8

16 years ago
adding dependency on bug 138054
Depends on: 138054
QA Contact: huang → gchan
Product: MailNews → Core
(Assignee)

Comment 9

9 years ago
we're not using the recent flag for this - we use the $MDNSent keyword, plus a flag in the local db, to avoid sending multiple responses.
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → WORKSFORME
Product: Core → MailNews Core
You need to log in before you can comment on or make changes to this bug.